module Mailtime
  module Generators
    class InstallGenerator < ::Rails::Generators::Base

      source_root File.expand_path("../templates", __FILE__)
      desc "Installs an initializer and copies over a migration"

      def copy_initializer_file
        copy_file "default_initializer.rb", "config/initializers/mailtime.rb"
      end

      def copy_migration_file
        copy_file "db/migrate/1_mailtime_migration.rb", "db/migrate/1_mailtime_migration.rb"
      end
    end
  end

end