module Mailtime
  # moving the functionality to this module, you can include
  # this concern instead of sub-classing the `MailLayout` model.
  module MailLayoutConcern

    extend ::ActiveSupport::Concern

    included do
      self.table_name = 'mailtime_mail_layouts'
      has_many :mail_templates, :class_name => 'Mailtime::MailTemplate'

      validates_presence_of :format, :in => -> { Mailtime.configuration.valid_formats }

    end

  end
end