module Mailtime
  # Functionality exists in a module for the same reasons as
  # outlined in mail_template_concern.rb
  module MailLogConcern

    extend ::ActiveSupport::Concern

    included do
      self.table_name = 'mailtime_mail_logs'
      belongs_to :loggable, :polymorphic => true
      belongs_to :mail_templates, :class_name => 'Mailtime::MailTemplate'
    end

  end
end